> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Get MCP configuration

GET https://api.synthflow.ai/v2/workspaces/{workspace_id}/mcp-config

Retrieves the MCP server configuration for a specific workspace.

Reference: https://docs.synthflow.ai/api-reference/platform-api/mcp-servers/get-workspace-mcp-config

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.synthflow.ai/v2` (Global, default)
- `https://api.us.synthflow.ai/v2` (United States)
- `https://api.eu.synthflow.ai/v2` (European Union)

## Request

### Path parameters

- `workspace_id` (string, required)

## Response

### 200

MCP configuration retrieved successfully

- `servers` (list of MCPServerOut, required) — List of MCP server configurations with redacted headers

## Errors

### 404 Not Found Error

No MCP configuration found for this workspace

- `any`

## Types

### MCPServerOut

- `id` (string, required) — Stable config ID for linking actions to this server entry
- `mcp_url` (string, required) — The HTTPS URL of the MCP server (SSE endpoint)
- `has_headers` (boolean, required) — Whether custom headers are stored in Vault
- `headers_keys` (list of string, optional) — Names of stored header keys (values redacted)

## Examples

**Response**

```json
{
  "servers": [
    {
      "id": "string",
      "mcp_url": "string",
      "has_headers": true,
      "headers_keys": [
        "Authorization",
        "X-Api-Key"
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/workspaces/1727192238961x413997613917405200/mcp-config")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```